Loading Certifyx
Preparing secure workspace
Loading Certifyx
Preparing secure workspace
API
Use the public API host for customer integrations and the internal API host for platform automations.
https://api.certifyx.club/v1https://api-internal.certifyx.club/v1https://verify.certifyx.clubSend API keys as Bearer tokens from your server. Sandbox keys start with sk_sandbox_; production keys start with sk_live_.
Authorization: Bearer sk_sandbox_xxx
/v1/healthPublic API health check./v1/certificates/issueIssue one certificate./v1/certificates/bulkQueue a certificate batch./v1/certificates/{certificateId}Read certificate status./v1/certificates/{certificateId}/revokeRevoke a certificate./v1/verify/{certificateId}Server-side verification./v1/templatesList certificate templates./v1/webhooksRegister webhook endpoints.curl -X POST https://api.certifyx.club/v1/certificates/issue \
-H "Authorization: Bearer sk_sandbox_xxx" \
-H "Content-Type: application/json" \
-d '{
"recipientName": "Aina Rahman",
"recipientEmail": "aina@example.com",
"title": "Safety Training Certificate",
"publicMetadata": { "trainerName": "Certifyx Academy" },
"privateMetadata": { "deviceId": "tablet-042" }
}'